---
title: "Get matching placements for banner"
type: reference
method: GET
path: /rest-api/banner/{bannerId}/matchplacements.do
tag: "Banners"
---

# Get matching placements for banner

`GET https://YOUR-NETWORK-DOMAIN/rest-api/banner/{bannerId}/matchplacements.do`

Returns all placements that are compatible with the specified banner and not yet linked to it. Compatibility is determined by placement type, zone, and site sharing rules. Results can be filtered by publisher category IDs and/or placement label names. Each carries id, name, type, zoneId, siteId and, for a placement with a size, width and height. Requires VIEW permission on the banner's advertiser and PLACEMENT_LABELS permission if filtering by labels.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `bannerId` | integer | yes | `3001` | ID of the banner to find matching placements for |

## Query params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `publisherCategories` | array<integer> | no | `10` | IDs of publisher categories to filter matching placements by |
| `labels` | array<string> | no | `premium` | Label names to filter matching placements by |

## Responses

- `200` — List of matching placements
- `400` — Bad request — invalid or missing parameters
- `401` — Authentication error
- `403` — Not enough permissions
- `404` — Banner not found

## Example request

```bash
curl --request GET \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/banner/3001/matchplacements.do?publisherCategories=10&labels=premium' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/banners/get-banner-matchplacements